hwy::HWY_NAMESPACE::Mask1< T > Class Template Reference

`#include <scalar-inl.h>`

## Static Public Member Functions

static HWY_INLINE Mask1< T > | FromBool (bool b)

## Public Attributes

Raw | bits

## Private Types

using | Raw = hwy::MakeUnsigned< T >

## Member Typedef Documentation

## Raw

template<typename T >

using hwy::HWY_NAMESPACE::Mask1< T >::Raw = hwy::MakeUnsigned<T>

private

## Member Function Documentation

## FromBool()

template<typename T >

static HWY_INLINE Mask1< T > hwy::HWY_NAMESPACE::Mask1< T >::FromBool | ( | bool | b | ) |

inline static

References hwy::HWY_NAMESPACE::Mask1< T >::bits.

Referenced by hwy::HWY_NAMESPACE::FirstN(), hwy::HWY_NAMESPACE::IsFinite(), hwy::HWY_NAMESPACE::IsFinite(), hwy::HWY_NAMESPACE::IsNaN(), hwy::HWY_NAMESPACE::LoadMaskBits(), hwy::HWY_NAMESPACE::operator!=(), hwy::HWY_NAMESPACE::operator<(), hwy::HWY_NAMESPACE::operator<=(), hwy::HWY_NAMESPACE::operator==(), hwy::HWY_NAMESPACE::operator>(), and hwy::HWY_NAMESPACE::operator>=().

## Member Data Documentation

## bits

template<typename T >

Raw hwy::HWY_NAMESPACE::Mask1< T >::bits

Referenced by hwy::HWY_NAMESPACE::AllFalse(), hwy::HWY_NAMESPACE::AllTrue(), hwy::HWY_NAMESPACE::BlendedStore(), hwy::HWY_NAMESPACE::CompressBlendedStore(), hwy::HWY_NAMESPACE::CountTrue(), hwy::HWY_NAMESPACE::FindFirstTrue(), hwy::HWY_NAMESPACE::Mask1< T >::FromBool(), hwy::HWY_NAMESPACE::IfThenElse(), hwy::HWY_NAMESPACE::IfThenElseZero(), hwy::HWY_NAMESPACE::IfThenZeroElse(), and hwy::HWY_NAMESPACE::RebindMask().

The documentation for this class was generated from the following file:

- scalar-inl.h